clear all;
clc;
close all;

set(gcf,'Renderer','Painters');
filename = 'circle.gif';

n = 50;
x = linspace(-1,1,n+1);
y = x;
[X,Y]=meshgrid(x,y);
Z=exp(-X.^2-Y.^2);
m = 100;
F(1:m) = struct('cdata',[],'colormap',[]);
t = linspace(0,2*pi,m+1);
z = zeros(m+1);
for j=0:m-1
    shiftx=cos(2*j*pi/m);
    shifty=sin(2*j*pi/m);
    surf(x+shiftx,y+shifty,Z);
    shading interp;
    axis([-2  2  -2 2 0 2]);
    axis('off');
    hold on;
    plot3(cos(t),sin(t),z,'k','LineWidth',2);
    hold off;
    F(j+1)=getframe(gcf);
    im = frame2im(F(j+1));
    [imind,cmap] = rgb2ind(im,256);
    if j == 0
        imwrite(imind,cmap,filename,'gif','Loopcount',inf);
    else
        imwrite(imind,cmap,filename,'gif','WriteMode','append','DelayTime',0.0001);
    end;
end;
movie(F,2);
    